Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.spi
Class IdentityDTO

    java.lang.Object
      be.fedict.eid.applet.service.spi.IdentityDTO

All Implemented Interfaces:
  Serializable

    public class IdentityDTO

extends Object
implements Serializable

Identity Data Transfer Object.

Author:
  Frank Cornelis
See Also:
  Serialized Form

Field Summary
`String` | `cardDeliveryMunicipality`
`String` | `cardNumber`
`GregorianCalendar` | `cardValidityDateBegin`
`GregorianCalendar` | `cardValidityDateEnd`
`String` | `chipNumber`
`GregorianCalendar` | `dateOfBirth`
`String` | `duplicate`
`boolean` | `female`
`String` | `firstName`
`boolean` | `male`
`String` | `middleName`
`String` | `name`
`String` | `nationality`
`String` | `nationalNumber`
`String` | `nobleCondition`
`String` | `placeOfBirth`

Constructor Summary
`IdentityDTO()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cardNumber

    public String cardNumber

### chipNumber

    public String chipNumber

### cardValidityDateBegin

    public GregorianCalendar cardValidityDateBegin

### cardValidityDateEnd

    public GregorianCalendar cardValidityDateEnd

### cardDeliveryMunicipality

    public String cardDeliveryMunicipality

### nationalNumber

    public String nationalNumber

### name

    public String name

### firstName

    public String firstName

### middleName

    public String middleName

### nationality

    public String nationality

### placeOfBirth

    public String placeOfBirth

### dateOfBirth

    public GregorianCalendar dateOfBirth

### male

    public boolean male

### female

    public boolean female

### nobleCondition

    public String nobleCondition

### duplicate

    public String duplicate

Constructor Detail

### IdentityDTO

    public IdentityDTO()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.